APIРеестры
Реестры — папки
Папки реестров — группировка реестров в иерархию.
Список папок реестров (с фильтрацией по доступу)
АвторизацияBearer <токен>
В: header
Тело ответа
application/json
curl -X GET "https://loading/api/v1/registry/folders"[
null
]Создать папку реестров
АвторизацияBearer <токен>
В: header
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
curl -X POST "https://loading/api/v1/registry/folders" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "property1": null, "property2": null }'nullОбновить папку реестров
АвторизацияBearer <токен>
В: header
Параметры пути
folderId*string
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
curl -X PATCH "https://loading/api/v1/registry/folders/string" \ -H "Content-Type: application/json" \ -d '{ "property1": null, "property2": null }'nullУдалить папку реестров
АвторизацияBearer <токен>
В: header
Параметры пути
folderId*string
Тело ответа
application/json
curl -X DELETE "https://loading/api/v1/registry/folders/string"nullПереместить реестр в папку
АвторизацияBearer <токен>
В: header
Параметры пути
folderId*string
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
typeId*string
Тело ответа
application/json
curl -X POST "https://loading/api/v1/registry/folders/string/move-type" \ -H "Content-Type: application/json" \ -d '{ "typeId": "string" }'nullПоделиться папкой
АвторизацияBearer <токен>
В: header
Параметры пути
folderId*string
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
curl -X POST "https://loading/api/v1/registry/folders/string/shares" \ -H "Content-Type: application/json" \ -d '{ "role": "viewer", "subjectId": "string", "subjectType": "user" }'nullОтозвать доступ к папке
АвторизацияBearer <токен>
В: header
Параметры пути
folderId*string
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
curl -X DELETE "https://loading/api/v1/registry/folders/string/shares" \ -H "Content-Type: application/json" \ -d '{ "role": "viewer", "subjectId": "string", "subjectType": "user" }'nullРеестры в папке
АвторизацияBearer <токен>
В: header
Параметры пути
folderId*string
Тело ответа
application/json
curl -X GET "https://loading/api/v1/registry/folders/string/types"[
null
]